Gecode::Int::LDSB::ValueSequenceSymmetryObject Class Reference

Implementation of a value sequence symmetry at the modelling level. More...

`#include <ldsb.hh>`

## Public Member Functions

| ValueSequenceSymmetryObject (IntArgs vs, int ss)
| Constructor for creation.
Public Member Functions inherited from Gecode::Int::LDSB::SymmetryObject
| SymmetryObject (void)
| Default constructor.
virtual | ~SymmetryObject (void)
| Destructor.

## Public Attributes

IntArgs | values
| Array of values in symmetry.
int | seq_size
| Size of each sequence in symmetry.
Public Attributes inherited from Gecode::Int::LDSB::SymmetryObject
int | nrefs
| Number of references that point to this symmetry object.

## Detailed Description

Implementation of a value sequence symmetry at the modelling level.

Definition at line 150 of file ldsb.hh.

## Constructor & Destructor Documentation

## ValueSequenceSymmetryObject()

Gecode::Int::LDSB::ValueSequenceSymmetryObject::ValueSequenceSymmetryObject | ( | IntArgs | vs,
|  | int | ss )

Constructor for creation.

Definition at line 105 of file sym-obj.cpp.

## Member Data Documentation

## values

IntArgs Gecode::Int::LDSB::ValueSequenceSymmetryObject::values

Array of values in symmetry.

Definition at line 153 of file ldsb.hh.

## seq_size

int Gecode::Int::LDSB::ValueSequenceSymmetryObject::seq_size

Size of each sequence in symmetry.

Definition at line 155 of file ldsb.hh.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/sym-obj.cpp